> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anny.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new pairing code



## OpenAPI

````yaml /developers/openapi/additional-internal.openapi.json post /api/v1/pairing-codes
openapi: 3.1.0
info:
  title: Additional Internal API
  version: '1.0'
servers:
  - url: https://b.anny.co
    description: Production
  - url: https://b.anny.eu
    description: Gov-Cloud
security: []
paths:
  /api/v1/pairing-codes:
    post:
      tags:
        - Pairing Codes
        - Displays
      summary: Create a new pairing code
      operationId: post-pairing-codes
      parameters:
        - schema:
            type: string
          in: query
          name: secret
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      default: pairing-codes
                    attributes:
                      type: string
                    relationships:
                      type: object
                      properties:
                        device:
                          type: object
                          properties:
                            data:
                              type: object
                              properties:
                                type:
                                  type: string
                                  default: displays
                                id:
                                  type: string
            examples:
              example-1:
                value:
                  data:
                    type: pairing-codes
                    attributes: string
                    relationships:
                      device:
                        data:
                          type: displays
                          id: string
      responses:
        '200':
          description: OK
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                  id:
                    type: string
                  attributes:
                    type: object
                    properties:
                      code:
                        type: number
                      expires_at:
                        type: string
                        format: date-time
                      redeemed_at:
                        type: string
                        format: date-time
                      created_at:
                        type: string
                        format: date-time
                  links:
                    type: object
                    properties:
                      self:
                        type: string
        '401':
          description: Unauthorized
        '404':
          description: Not Found

````